:root {
    --bg: #1E1E28;
    --main: rgb(20, 20, 30);
    --content: #CCCCCC;
    --radius-sidebar:  0 16px 16px 0;
    --radius: 16px;
}

body {
    display: flex;
    font-family: 'M PLUS Rounded 1c', Helvetica, sans-serif;
    color: var(--content);
    margin: 0;
    background-color: var(--bg);
    transition: background-color 0.3s ease, color 0.3s ease;
}

body.light-mode {
    --bg: #64648C;
    --main: #3C3C5A;
}

.wrap {
    display: flex;
    width: 100%;
}

.sidebar {
    width: 25vw;
    position: fixed;
    display: flex;
    flex-direction: column;
    gap: 12px;
    top: 0;
    left: 0;
}

.top {
    background-color: var(--main);
    border-radius: var(--radius-sidebar);
    text-align: center;
    flex-grow: 1;
    display: flex;
    justify-content: space-between;
    height: calc(95vh - 48px);
    flex-direction: column;
    align-items: center;
    padding: 24px 12px;
    box-sizing: border-box;
    transition: background-color 0.3s ease;
}

.joshua-img {
    position: relative;
    width: 18vw;
    height: 19vw;
    margin-top: 4vh;
    margin-bottom: 1vh;
}

.joshua-img img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    transition: opacity 0.3s ease;
}

.img-light {
    opacity: 0;
    z-index: 1;
}

body.light-mode .img-light {
    opacity: 1;
}

body.light-mode .img-dark {
    opacity: 0;
}

.greeting {
    font-weight: lighter;
    font-size: 1.5rem;
    margin: 4px 0 0 0;
}

.greeting-name {
    font-weight: bolder;
    font-size: 2.2rem;
    margin: 5px 0 0 0;
}

.nav-container {
    margin-top: auto;
    width: 100%;
    padding-bottom: 32px;
}

.nav {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.nav-item a {
    color: var(--content);
    text-decoration: none;
    font-size: 1.5rem;
    font-weight: 400;
    letter-spacing: 1px;
    text-transform: uppercase;
    transition: opacity 0.3s;
}

.nav-item a:hover {
    opacity: 0.8;
}

.bottom {
    height: 80px;
    background-color: var(--main);
    border-radius: var(--radius-sidebar);
    display: flex;
    align-items: center;
    padding: 0 30px;
    justify-content: space-between;
    box-sizing: border-box;
    transition: background-color 0.3s ease;
}

.bottom p {
    font-size: 1.4rem;
    letter-spacing: 2px;
    margin: 0;
}

.main {
    flex: 1;
    display: flex;
    justify-content: center;
    margin-left: 25vw;
}

.notfound {
    text-align: center;
    background-color: var(--main);
    padding: 16px;
    margin-top: 20vh;
    border-radius: var(--radius);
}

.homeButton {
    background-color: var(--bg);
    border-radius: var(--radius);
    padding: 6px;
    cursor: pointer;
}

#projects {
    transition: opacity 0.4s ease;
    grid-template-columns: 1fr 1fr;
    display: grid;
    padding: 36px 24px;
    gap: 24px;
}

#projects.details-active {
    display: block;
    max-width: 100%;
    margin: 0;
    padding: 0;
}

.project {
    cursor: pointer;
    width: 34vw;
    background-color: var(--main);
    border-radius: var(--radius);
    transition: background-color 0.3s ease;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    perspective: 1000px;
    position: relative;
}

.project img {
    margin-top: 16px;
    border-radius: var(--radius);
    width: 94%;
    display: block;
    transition: all 0.4s ease;
    transform-style: preserve-3d;
    will-change: transform;
}

.name-date {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px 16px 8px 16px;
    width: 92%;
}

.name {
    margin: 0;
}

.date {
    color: rgba(255, 255, 255, 0.4);
    margin: 0;
}

.subheading {
    padding: 0 16px 16px 16px;
    width: 92%;
    margin: 0;
}

/* Theme Toggle */
.theme-switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.theme-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--content);
    transition: .4s;
    border-radius: 34px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 5px;
    box-sizing: border-box;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    transition: .4s;
    border-radius: 50%;
    z-index: 2;
}

input:checked + .slider {
    background-color: #555555;
}

input:checked + .slider:before {
    transform: translateX(26px);
    background-color: #e0e0e0;
}

.icon {
    width: 16px;
    height: 16px;
    z-index: 1;
    transition: opacity 0.3s ease;
}

.moon-icon {
    fill: none;
    stroke: white;
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    opacity: 0; 
    transform: translateX(4px);
}

.sun-icon {
    fill: none;
    stroke: #3e3e3e;
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    opacity: 1;
    transform: translateX(-4px); 
}

input:checked + .slider .moon-icon {
    opacity: 1;
}

input:checked + .slider .sun-icon {
    opacity: 0;
}

/* Mobile */
@media screen and (max-width: 400) {
    
}

/* Tablet */
@media screen and (max-width: 800) {

}

/* Bigger Desktop */
@media screen and (min-width: 1400) {
    
}